#ifndef _CUT2END_HPP
#define _CUT2END_HPP

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <math.h>

#include <fftw3.h>

#include <sys/resource.h>

#include "io.hpp"
#include "obsconf.hpp"
#include "cmd.hpp"
//#include "bitstat.hpp"
#include "wisdom.hpp"
#include "disp.hpp"
//#include "op.hpp"
#include "mjd.hpp"

// the number of spoiled points
off_t bitstat_points = 35000;

// basename for output files
char *base;
// path for output files
char *output_path;

#endif //_CUT2END_HPP
