#include "mjd.hpp"

// get mjd value of the beginning of the output lcp- rcp-files
// this value (in double) will be written as first 8 bytes of every output files (lcp, and rcp) 
char* getMJD (mpf_t in, off_t left, unsigned long spoiled_points, double tres, char *mjd) {
 mpf_t temp1, temp2;
 mpf_init2 (temp1, 512); mpf_init2 (temp2, 512);
 
 mpf_set_ui (temp1, (unsigned int)left);
 mpf_set_d (temp2, (double)(tres*4.));
 mpf_mul (temp1, temp1, temp2);
 mpf_set_str (temp2, "86400000000000", 10);
 mpf_div (temp1, temp1, temp2);
 mpf_add (in, in, temp1);
 mpf_set_ui (temp1, (unsigned int)spoiled_points);
 mpf_set_d (temp2, tres);
 mpf_mul (temp1, temp1, temp2);
 mpf_set_str (temp2, "86400000000000", 10);
 mpf_div (temp1, temp1, temp2);
 mpf_add (in, in, temp1);
 mpf_clear (temp1); mpf_clear (temp2);
 long exponent = 5;
 mjd = mpf_get_str (mjd, &exponent, 10, 26, in);
 return mjd;
}
