#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>

int main (int argc, char *argv[]) {
 int in, out;
 struct stat info;
 long sz;
 float *data;

 if (argc == 1) { printf("Usage: %s <in> <out>\n", argv[0]); exit (0); }
 if ( stat(argv[1], &info) != 0) { perror("stat"); exit(1); }
 sz = info.st_size / sizeof (float); 

 data = new float[sz];
 if (!data) { perror("new"); exit(1); }

 in = open (argv[1], O_RDONLY | O_LARGEFILE);
 lseek (in , 0, SEEK_SET);
 read (in, data, info.st_size);
 close (in);

 float tmp;
 for (int i=0; i<(int)(sz/2); ++i) {
  tmp = data[i]; data[i] = data[sz-1-i]; data[sz-1-i] = tmp;
 }

 out = open (argv[2], O_CREAT | O_TRUNC | O_WRONLY | O_LARGEFILE, 0644);
 write (out, data, info.st_size);
 close (out);

 delete (data);
 return 1;
}
