#ifndef _OP_HPP
#define _OP_HPP

#include <stdlib.h>

// returns max value
float getmax (float **m, unsigned char nchan, size_t size, long skipharm);

// returns min value
float getmin (float **m, unsigned char nchan, size_t size, long skipharm);

// average the array
float* average (float *m, float *dest, size_t size, long aver);

// get average level
float get_level (float *x, off_t size);

// remove average level
void remove_level (float *x, off_t size, float level);

#endif //#ifndef _OP_HPP
