#ifndef _MJD_HPP
#define _MJD_HPP

#include <gmp.h>  // high-precision math library
#include <stdlib.h>

// get mjd value of the beginning of the output decoded files
// this value will be written as first 26 bytes of every output files (without decimal point)
// you have to remember that decimal point should follow after first 5 digits
char* getMJD (mpf_t in, unsigned long seconds, int mjd_len, char *mjd);

#endif //#ifndef _MJD_HPP
