#ifndef _PLOT_STAT_HPP
#define _PLOT_STAT_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "stat.hpp"
#include "hdsd.hpp"

#define MaxString 255

char stat_xlabel[MaxString] = "ADC Value"; // x-label
char stat_ylabel[MaxString] = "Bit Fraction (%)"; // y-label

extern char pgplot_dev[MaxString]; // device for pgplot
extern float char_size; // character size
extern char *label;     // extra label in plots

/* graphics part */
void plot_stat (StatInfo& bs, FrameInfo& conf, char *basename, int dev_default);

#endif //#ifndef _PLOT_STAT_HPP
