#ifndef _OP_HPP
#define _OP_HPP

#include <stdlib.h>

// get basename
char* basename (char *str); 

// get dirname
char* dirname (char *str, char *dest);

// get power of 2 size
size_t resize (size_t sz); 

// returns max value
float getmax (float **m, unsigned char nchan, size_t size, long skipharm);

// returns min value
float getmin (float **m, unsigned char nchan, size_t size, long skipharm);

// average the array
float* average (float *m, float *dest, size_t size, long aver);

// get average level
template <class tYpe>
float get_level (tYpe x, off_t size) {
 double sum = 0.;
 for (off_t i=0; i<size; ++i) sum += x[i];
 return (float)(sum/size);
}

// remove average level
void remove_level (float *x, off_t size, float level);

#endif //#ifndef _OP_HPP
