#ifndef _PLOT_SPECTRUM_HPP
#define _PLOT_SPECTRUM_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define MaxString 255

extern char pgplot_dev[MaxString]; // device for pgplot
extern float char_size;            // character size

// sampling frequency for our particular 512-8-2 Mk5+VLBA mode
extern float samp_freq;

extern unsigned char Nchan;
extern char ext[];
extern char *label;

/* graphics part */
void plot_spectrum (float **spectra, size_t size, int aver, int skipharm, char *basename, int dev_default, size_t frames, char *mjd, char *startdate, char *starttime, double dur);

// get y tics major interval
int getytics (float min, float max);

#endif //#ifndef _PLOT_SPECTRUM_HPP
