#ifndef _PLOT_STAT_HPP
#define _PLOT_STAT_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "stat.hpp"
#include "framedata.hpp"

#define MaxString 255

extern char pgplot_dev[MaxString]; // device for pgplot
extern float char_size;            // character size

// sampling frequency for our particular 512-8-2 Mk5+VLBA mode
extern float samp_freq;

extern unsigned char Nbits;
// letters -> channels
extern char ext[];
extern char *label;

/* graphics part */
void plot_stat (StatInfo& bs, char *basename, int dev_default, char *mjd, char *startdate, char *starttime, double dur);

#endif //#ifndef _PLOT_STAT_HPP
