#include <stdio.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>

int main ( int argc, char *argv[] )
{
 struct stat info;
 int file;
 union { long first;
         float second;
        } value;
  		    
 if ( stat(argv[1], &info) != 0 )
  { printf("Error:\nCouldn't open \"%s\"!\n", argv[1]); exit(1); } 
    
 float * m;
 m = new float[info.st_size/sizeof(float)];
 if ( !m ) printf("Not enough memory!\n"), exit(1);

 if ( (file = open(argv[1], O_RDONLY)) == -1 )
  printf("Error:\nCouldn't open \"%s\"!\n", argv[1]), exit(1); 
       lseek(file, 0x0, SEEK_SET);
       for (long i=0;i<info.st_size/sizeof(float);i++)
        {
         read(file, &value.first, sizeof(long));
	 value.first = htonl(value.first);
	 m[i] = value.second;
	}
       close(file);

  int fds;
     if ( (fds = open(argv[2], O_TRUNC | O_CREAT | O_WRONLY, 0644 )) == -1 )
      { printf("Error:\nCouldn't open \"%s\" for writing!\n", argv[2]); exit(1); }
      else	 
         {          
            lseek(fds, 0x0, SEEK_SET);
            write(fds, m, info.st_size);
	    close(fds);
	  }

 delete(m); 

 return 0;
}

