#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>

int main ( int argc, char *argv[] )
{
 struct stat info;
 int file;
 union { float second;
	 char a[4];	 
        } value;
 char temp;
 float * m;

 if (argc == 1) { printf("Usage: %s <file1> [file2] ... [fileN]\n", argv[0]); exit(0); }
		    
 for (int i=1; i<argc; ++i) {

 if ( stat(argv[i], &info) != 0 )
  { printf("Error:\nCouldn't open \"%s\"!\n", argv[i]); exit(1); } 
    
 m = new float[info.st_size/sizeof(float)];
 if ( !m ) printf("Not enough memory!\n"), exit(1);

 if ( (file = open(argv[i], O_RDONLY)) == -1 )
  printf("Error:\nCouldn't open \"%s\"!\n", argv[i]), exit(1); 
       lseek(file, 0x0, SEEK_SET);
       for (long j=0;j<info.st_size/sizeof(float);j++)
        {
         read(file, &value.a[0], sizeof(char));
         read(file, &value.a[1], sizeof(char));
         read(file, &value.a[2], sizeof(char));
         read(file, &value.a[3], sizeof(char));
	 temp = value.a[0]; value.a[0] = value.a[3]; value.a[3] = temp;
	 temp = value.a[2]; value.a[2] = value.a[1]; value.a[1] = temp;
	 m[j] = value.second;	  
	}
       close(file);

     int fds;
     if ( (fds = open(argv[i], O_TRUNC | O_CREAT | O_WRONLY, 0644 )) == -1 )
      { printf("Error:\nCouldn't open \"%s\" for writing!\n", argv[i]); exit(1); }
      else	 
         {          
            lseek(fds, 0x0, SEEK_SET);
            write(fds, m, info.st_size);
	    close(fds);
	  }

 delete(m); 
 }

 return 0;
}

