#ifndef _CE_HPP
#define _CE_HPP

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>

#define MaxString 255

#include "op.hpp"
#include "io.hpp"
#include "header.hpp"

float *mass;
int mjd_header = 26; //header with mjd in bytes
double sefd = 12.; // sefd in Jy
double tres = 7.8125; // time resolution in ns in 64-MHz bandwidth
double ymax; // max value of array
off_t xmax; // position of max

Header header; // the header

#endif //#ifndef _CE_HPP
