#ifndef _MJD_HPP
#define _MJD_HPP

#include <gmp.h>  // high-precision math library

// get mjd value of the beginning of the output lcp- rcp-files
// this value (in double) will be written as first 8 bytes of every output files (lcp, and rcp) 
char* getMJD (mpf_t in, off_t left, unsigned long spoiled_points, double tres, char *mjd);

#endif //#ifndef _MJD_HPP
