// Crc16.h

class CCrc16
{
public:
	CCrc16();
	unsigned short	ReverseBits( unsigned short x );
	unsigned char	ReverseBits( unsigned char b );
	void	SimpleNextByte( unsigned char b );
	unsigned short	SimpleComputeBlock( unsigned char* data, int length );
	unsigned short	SimpleGetCrc();
	unsigned short	CreateTableEntry( int index );
	void	CreateTable();
	unsigned short	ComputeCrcUsingTable(  unsigned char* data, int length );

	unsigned short	m_Crc;
	unsigned short	m_ResetValue;
	unsigned short	m_Polynomial;
	bool     	m_Reflect;
	bool    	m_ReflectCrc;
	unsigned short	m_CrcXorOutput;
	unsigned short	m_Table[256];
};
