#ifndef _PLOT_SPECTRUM_HPP
#define _PLOT_SPECTRUM_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define MaxString 255

char xlabel[MaxString] = "Frequency (MHz)"; // x-label
char ylabel[MaxString] = "Power (dB)"; // y-label

extern char pgplot_dev[MaxString]; // device for pgplot
float char_size = 1.; // character size

// sampling frequency for our particular 512-8-2 Mk5+VLBA mode
extern float samp_freq;

extern unsigned char Nchan;
extern char ext[];

/* graphics part */
void plot_spectrum (float **spectra, size_t size, long aver, long skipharm, char *basename, int dev_default, size_t frames, char *mjd, char *startdate, char *starttime, double dur);

// get y tics major interval
long getytics (float min, float max);

#endif //#ifndef _PLOT_SPECTRUM_HPP
