#ifndef _PLOT_PROFILE_HPP
#define _PLOT_PROFILE_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define MaxString 255

char prf_xlabel[MaxString] = "Time (\\gm\\fns)"; // x-label
char prf_ylabel[MaxString] = "Flux density (\\gs\\fn)"; // y-label

float char_size = 1.; // character size

/* graphics part */
void plot_profile(float *x, float **y, long av, char *basename, char *mjd, char *date, char *time, double period, unsigned long cperiod, unsigned long Nperiods, double tres, unsigned long Nframes);

// get y tics major interval
long getytics (float min, float max);

#endif //#ifndef _PLOT_PROFILE_HPP
