#ifndef _VIEWSTOKS_HPP
#define _VIEWSTOKS_HPP

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <string.h>
#include <math.h>

#define MaxString 255

#include "op.hpp"
#include "plot.hpp"
#include "header.hpp"

double tres = 7.8125; // time resolution in ns
double sefd = 12.; // sefd in Jy
off_t window = 150; // window to show in counts
off_t ledge = 50; // position of maximum from left edge
double shift; // shift between files in Jy
double dataoffset; // data offset in Jy between plot and axis
char xlabel[MaxString] = "Time (ns)"; // x-label
char ylabel[MaxString] = "Flux Density (Jy)"; // y-label
int mjd_header = 26; // header with mjd in bytes

char pgplot_dev[MaxString] = "/xterm"; // device for pgplot
float char_size = 1.; // character size

Header header; // the header

#endif //#ifndef _VIEWSTOKS_HPP
