#ifndef _PLOT_SPECTRUM_HPP
#define _PLOT_SPECTRUM_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "hdsd.hpp"

#define MaxString 255

char xlabel[MaxString] = "Frequency (MHz)"; // x-label
char ylabel[MaxString] = "Power (dB)"; // y-label

extern char pgplot_dev[MaxString]; // device for pgplot
float char_size = 1.; // character size
extern char *label;   // extra label in plots

/* graphics part */
void plot_spectrum (float **spectra, size_t size, long aver, long skipharm, char *basename, int dev_default, FrameInfo& conf, size_t frames);

// get y tics major interval
long getytics (float min, float max);

#endif //#ifndef _PLOT_SPECTRUM_HPP
