#include <stream.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>

#define MAXSTRSIZE 100


typedef float BinData;
typedef BinData *ptrBinData;

#ifndef MAIN_
    extern unsigned DataSize;
    extern ptrBinData Profile;
#else
    unsigned DataSize;
    ptrBinData Profile = NULL;
#endif


/*-- io.cpp --*/
unsigned GetBinFileLength(char *);
void LoadBinFile(char *, ptrBinData, unsigned, unsigned);
void SaveBinFile(char *, ptrBinData, unsigned);
unsigned Smooth(ptrBinData, long, int);
unsigned Average(ptrBinData, long, int);

