#ifndef _GPVIEW_HPP
#define _GPVIEW_HPP

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <string.h>
#include <math.h>

#define MaxString 255

#include "cmd.hpp"
#include "op.hpp"
#include "plot.hpp"

off_t window = 300; // window to show in counts
off_t ledge; // position of maximum from left edge
double ydataoffset; // data offset in Jy between plot and axis
double xdataoffset; // data offset in x-axis
char xlabel[MaxString] = "Time (samples)"; // x-label
char ylabel[MaxString] = "Flux density (\\gs\\fn)"; // y-label

char pgplot_dev[MaxString] = "/xwindow"; // device for pgplot
float char_size = 1.; // character size

#endif //#ifndef _GPVIEW_HPP
