#ifndef _PLOT_HPP
#define _PLOT_HPP

#include "cpgplot.h"

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MaxString 255

extern off_t window; // window to show in counts
extern off_t ledge; // position of maximum from left edge
extern double ydataoffset; // data offset in Jy between plot and axis
extern double xdataoffset; // data offset in x-axis
extern char xlabel[MaxString]; // x-label
extern char ylabel[MaxString]; // y-label

extern char pgplot_dev[MaxString]; // device for pgplot
extern float char_size; // character size

/* graphics part */
void plotting (float *y, float *x, int next, int ac, char *av[], double aver, double sigma, double ymin, double ymax, double ymaxs);

// returns disp in character size
double getdisp (double max, double min, double value, double offset, double chsize);

// get y tics major interval
long getytics (double min, double max);

#endif //#ifndef _PLOT_HPP
