#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define RAD (M_PI/180.)

// GBT latitude: 38 deg 25' 59.23"
#define phi  (38.4331194444)

int main (int argc, char *argv[]) {

 float az, el, azdeg, eldeg;
 double delta, delta2;

 printf("Azimuth (deg): ");    scanf("%f", &azdeg);
 printf("Elevation (deg): ");  scanf("%f", &eldeg);

 az = azdeg * RAD;
 el = eldeg * RAD;

 for (float e=eldeg-0.5; e<=eldeg+0.5; e=e+0.1) {

  el = e * RAD;
 
  delta = acos (sqrt ( cos(el)*cos(el)*sin(az)*sin(az) + sin(el)*sin(el)*cos(RAD*phi)*cos(RAD*phi) + cos(el)*cos(el)*sin(RAD*phi)*sin(RAD*phi)*cos(az)*cos(az) + 0.5 * sin(2*el)*sin(RAD*2*phi)*cos(az) ));
  delta = (delta/M_PI)*180.;

  delta2 =  asin ( sin(el)*sin(RAD*phi) - cos(el)*cos(RAD*phi)*cos(az) );
  delta2 = (delta2/M_PI)*180.;
  if (delta2 < 0) delta *= -1.;

  printf ("delta = %lf  delta2 = %lf\n", delta, delta2);
 }

 return 0;
}
